Дела давно минувших дней...

*****************************
* Даты выхода дистрибутивов *
*****************************

RE N1           30.08.2003
RE N2           07.10.2003
RE N3           26.11.2003
RE N4           23.12.2003
RE N5           15.02.2004
RE N6           27.03.2004
KOLIBRI N1      16.05.2004
RE N7           11.06.2004
KOLIBRI N2      28.08.2004
RE N8           01.12.2004
KOLIBRI N3      22.02.2005
      Выпуск 2: 20.03.2005
KOLIBRI N4      07.06.2005
KOLIBRI 0.5.0.0 04.10.2005
        0.5.1.0 12.10.2005
        0.5.2.0 02.12.2005
        0.5.3.0 18.03.2006
        0.5.8.0 09.07.2006
        0.5.8.1 25.07.2006

        0.6.0.0 04.09.2006
        0.6.3.0 31.10.2006
        0.6.5.0 14.02.2007

        0.7.0.0 07.06.2007
        0.7.1.0 23.09.2007
        0.7.5.0 31.01.2009
        0.7.7.0 13.12.2009

*******************************************************************************
 Колибри OS  0.7.7.0 февраль 2010
*******************************************************************************

    В ядре произведены следующие изменения, доработки, исправления:

  От Евгения Гречникова (Diamond) - Российская Федерация
    1) улучшения в определении дисков через BIOS (V86)
    2) исправление ну очень многих косяков в ядре и приложениях

  От Сергея Семёнова (Serge) - Российская Федерация
    1) Обновление драйвера для видеокарт ATI.
    2) Линукс-подобные мьютексы ядра

  От Михаила Семеняко (mike.dld) - Республика Беларусь
    1) Рефакторинг оконной подсистемы.

  От <Lrz> - Российская Федерация
    1) Переработка функций с целью полностью убрать сдвиг-регистровый вызов API
    2) Рефакторинг некоторых участков ядра, оптимизации, багфиксы.

  От Артёма Жердева (art_zh) - СССР
    1) Доступ из приложения к отображённым на память областям ввода-вывода (MMIO).
    2) Доступ к расширенному конфигурационному пространству PCI Express (автонастройка для AMD-NPT начиная с Athlon64).

  От Андрея Турбанова (turbanoff) - Российская Федерация
    1) Поддержка чтения файловых систем ext2/ext3.

  От Марата Закиянова (Mario79) - Российская Федерация
    1) Улучшения в обработке нажатия мыши.

  От hidnplayr
    1) Переписывание всей подсистемы работы с сетью.

  От Asper
    1) Драйвера для звуковых карт VT823(X) и EMU10K1X.

  От tsdima
    1) Драйвер для звуковой карты ForteMedia fm801.

  От Maxis
    1) Изменения в проверке свободной памяти.

    * С приложениями произведены следующие изменения, доработки, исправления:

    FTPS     - tsdima, некоторые улучшения
    VIEW3DS  - macgub, версия 0.054
    FASM     - Павел Рымовский (Heavyiron), обновление до версии 1.69.11
               IgorA, использование библиотеки box_lib, русификация,
               Марат Закиянов (Mario79), исправление возникших глюков
               Евгений Гречников (Diamond), исправлено свертывание окна
    PCIDEV   - Артем Жердев (art_zh), дамп MMIO-областей PCI-устройства; сокращение
                кода за счет удаления малоизвестных вендоров из основной базы данных
    BOARD    - Евгений Гречников (Diamond), не отбрасывать непрочитанные
                сообщения при старте программы
    UNVWATER - Asper, порт демки из OctaOS (автор Octavio Vega Fernandez)
    HEED     - staper, версия 0.15: использование библиотеки box_lib;
                Ctrl+C/X/V, Ctrl+B для выделения блока, косметические изменения
               Марат Закиянов (Mario79), использование компонента OpenDialog,
                небольшая оптимизация кода
    SHELL    - Albom, версия 0.4.2
    CPU      - Евгений Гречников (Diamond) по предложению
               Кирилла Липатова (Leency), по умолчанию не показывать
                системные процессы
    TINYPAD  - mike.dld, решена проблема с миганием курсора в некоторых случаях
    HTMLV    - Кирилл Липатов (Leency), версия 0.62a
    EOLITE   - Кирилл Липатов (Leency), версия 0.98.7a
    RTFREAD  - Sorcerer, косметическая правка
               dunkaist, меню и скроллбар, горячая клавиша 'end'
    E80      - Albom, версия 0.5.1
    KIV      - Евгений Гречников (Diamond), имя текущего файла в заголовке
                окна, настраиваемые клавиатурные сокращения для перехода
                к следующему/предыдущему изображению в папке, исправления обработки
                маленьких файлов формата TGA
               Марат Закиянов (Mario79) исправления при работе со списком файлов
    SUDOKU   - staper, порт игры Судоку - это головоломка-пазл с числами, где нужно
                заполнить свободные клетки цифрами от 1 до 9 так, чтобы в каждой строке,
                в каждом столбце и в каждом малом квадрате 3x3 каждая цифра встречалась
                бы только один раз. Есть 9 уровней сложности.
    REVERSI  - staper, порт стратегической игры Реверси (Отелло)
    MSQUARE  - staper, математическая головоломка "Магический квадрат": суммы
                чисел в строках, столбцах (реже в диагоналях) должны быть равны
    FINDN-S  - Artemonische, простенькая игрушка в которой нужно собрать все
                числа по порядку от 10 до 90
    PANEL    - Евгений Гречников (Diamond), небольшое исправление в часах на панели
                и реанимация подсветки при нажатии Alt+[Shift+]Tab.
    AC97SND  - Asper, поддержка плейлистов в формате m3u.
    @NOTIFY  - SoUrcerer, программа показывает всплывающие сообщения
    DOSBOX   - Евгений Гречников (Diamond), версия 0.74
    ASCIIVJU - Константин Дуткевич (Nazarus), программа отображает таблицу ASCII
    PIPETKA  - Rock_maniak_forever, программа для взятия цвета пиксела с экрана
    SNAKE    - dunkaist, ещё одна реализация классической игры

   * С системными библиотеками произведены следующие изменения, доработки, исправления:

   libini    - Евгений Гречников (Diamond), добавлена функция для
                чтения сочетаний клавиш
   box_lib   - IgorA, доработки нового компонента tree_list, новый компонент text_editor,
                документация по библиотеке
               Марат Закиянов (Mario79) доработка компонента ОpenDialog, перевод
                некоторых приложений на его использование, новый компонент PathShow

*******************************************************************************
 Колибри OS версия 0.7.5.0 Январь 2008
*******************************************************************************

    В ядре произведены следующие изменения, доработки, исправления:

  От Евгения Гречникова (Diamond) - Российская Федерация
    1) Небольшое ускорение кода для записи новых данных на FAT.
    2) Добавлен (в диагностических целях) в случае, если ядру не
       удалось загрузить первое приложение, вывод соответствующего сообщения.
    3) Новая системная функция 72 для посылки сообщений окну
       (см. sysfuncr.txt).
    4) Функции приостановки и возобновления потока 69.4 и 69.5 могут
       применяться не только к отлаживаемым потокам.
    5) Исправление в коде завершения ядра: корректная обработка файла
       kernel.mnt на >128 Кб.
    6) V86-менеджер.
    7) Поддержка дисков, видимых BIOS, с помощью п.6.
    8) При загрузке системы с CD-ROM, "дискета" читается полностью и
       кусками по 18 секторов (при загрузке с дискеты читаются только
       используемые сектора) - для CD это ускоряет процесс.
    9) Ошибки при работе с жёстким диском во время загрузки системы
       больше не завешивают систему.
    10) Добавлены некоторые комментарии в загрузочном экране.
    11) Исправление фатальных ошибок в коде работы с сетью в целом и
       драйверах сетевой карты SIS900 в частности.
    12) Исправления в поддержке NTFS.
    13) Исправление чрезвычайно медленной работы в некоторых конфигурациях.
    14) Расширение возможностей системной функции 65 (см. sysfuncr.txt).
    15) Исправление: при щелчке левой кнопкой мыши в окне окно активируется
        только один раз в процессе щелчка.
    16) Мелкие доработки, не стоящие подробного упоминания.

  От Сергея Семёнова (Serge) - Российская Федерация
    1) Загрузка PE-образа для ядра.
    2) Сохранение регистров в функциях, экспортируемых ядром для
       драйверов как stdcall.
    3) SDK для доступа программ к аппаратному ускорению на видеокартах
       ATI R5xx. Библиотека pixlib, предоставляющая соответствующие API
       и реализующая их аппаратно для ATI и программно, если не получается
       аппаратно.
    4) Оптимизация переключения контекста FPU.
    5) Поддержка в COFF-библиотеках экспорта по метке _EXPORTS наряду с
       EXPORTS для удобства использования ЯВУ.
    6) Новые системные функции 68.22 и 68.23 для поддержки разделяемых
       между процессами областей памяти (см. sysfuncr.txt).
    7) Мелкие доработки, не стоящие подробного упоминания.

  От Марата Закиянова (Mario79) - Российская Федерация
    1) Расширение возможностей системной функции 47 (см. sysfuncr.txt).
    2) Поддержка мультисессионных CD/DVD.
    3) Новая системная функция 36 для чтения области экрана (см. sysfuncr.txt).

  От Алексея Теплова (<Lrz>) - Российская Федерация
    1) Новый интерфейс для выбора графического режима в загрузочном экране.

  От Михайлова Ильи (Ghost) - Российская Федерация
    1) Расширенный вывод информации о фатальных ошибках приложений и ядра
       на доске отладки.

  От Михаила Семеняко (mike.dld) - Республика Беларусь
    1) Исправление макроса DEBUGF в ядре.
    2) Исправления и улучшение поддержки сети в ядре.

  От Павла Рымовского (Heavyiron)
    1) Исправление запросов ARP, не работавших на некоторых конфигурациях
    2) Удаление меню выхода при завершении работы из ядра, удаление
       системных функций 18.1 и 18.9.1.
    3) Исправления в драйверах сетевых карт PCnet32 и i8255x.

  От Rus
    1) Новая организация работы с IRQ, существенное ускорение.
    2) Удаление текста "All set - press Esc to start" из загрузочного лога
       и соответствующей обработки.
    3) Выделение кода обработки COM-мышей в отдельный драйвер.
    4) Удаление системных функций 32 и 33.

  От derPENGUIN
    1) shell-скрипт make.sh для компиляции ядра под *nix-системы.

  От Nable
    1) Драйвер поддержки Sound Blaster, удаление кода SB из ядра.

  От shurf
    1) Драйвер поддержки сетевой карты FORCEDETH.
    2) Исправления в драйвере сетевой карты RTL8169.

    С приложениями произведены следующие изменения, доработки, исправления:

   * Обновления приложений и новые приложения:

    KFAR     - Евгений Гречников (Diamond), версия 0.61: быстрый переход к
                файлу в панелях при наборе первых букв имени с нажатым Alt;
                встроенный редактор; поиск в панелях, просмотрщике и редакторе;
                багфиксы
    KFM      - Марат Закиянов (Mario79), версия 0.47b: удаление папки происходит
                вместе со всей файловой подструктурой; Alt+Enter показывает
                для файлов и папок расположение, название, размер, количество
                файлов и папок (в том числе и для случая выделения отдельных
                файлов и папок); багфиксы
    EOLITE   - Кирилл Липатов (Leency) и Константин Николенко (Veliant):
                новый файловый менеджер, версия 0.98.5
    SHELL    - Александр Богомаз (Albom), версия 0.4: новый вариант реализации
                оболочки командной строки
    FASM     - Павел Рымовский (Heavyiron), обновление до версии 1.67.29
               Сергей Семёнов (Serge), исправление при выделении памяти
    ICON     - Евгений Гречников (Diamond), исправление ошибки, приводившей
                к тому, что Alt+F4 на иконке запускало
                соответствующее приложение
    MENU     - Евгений Гречников (Diamond), исправление ошибки: после закрытия
                дочернего меню по Esc нельзя было открыть это же меню снова
    @TASKBAR   - Евгений Гречников (Diamond), Alt+F4 не прибивает программу
                безусловно, а посылает сообщение о закрытии, позволяя
                корректный выход. Если программа не реагирует, её всегда
                можно снять по Ctrl+Alt+Del
               barsuk, уменьшено число перерисовок окна
               ДедОк, раскладки клавиатуры и настройки переключения
                вынесены во внешний файл lang.ini
    END      - Павел Рымовский (Heavyiron), возможность вызова диалога
                сохранения настроек по Ctrl+S
    TABLE    - barsuk, табличный процессор, версия 0.94а
    GRAPH    - barsuk, программа для построения графиков
    CPU      - Павел Рымовский (Heavyiron), для завершения работы вызывает
                приложение END
    MOUSEMUL - Gluk, эмулирует мышь с помощью дополнительной цифровой
                клавиатуры при включённом NumLock; горячая комбинация
                клавиш для запуска приложения - Alt+Shift+NumLock
    MTDBG    - Евгений Гречников (Diamond), улучшения в дизассемблере,
                уменьшение мерцания при отрисовке
    TINYPAD  - Михаил Семеняко (mike.dld), поддержка дополнительной цифровой
                клавиатуры (numpad), обновление заголовков и подсветки при
                сохранении файла, хранение настроек в ini-файле, багфиксы
    KIV      - программа для просмотра изображений;
               Михаил Семеняко (mike.dld), каркас приложения
               Евгений Гречников (Diamond), развитие приложения
               Кирилл Липатов (Leency), дизайн
    @CLIP    - barsuk, программа для поддержки буфера обмена через IPC
    LISTPLAY - ДедОк, проигрывание плейлистов: открывает плейлист и
                запускает проигрыватель ac97snd нужное число раз на
                нужных файлах; запускается из kfar,kfm,eolite при открытии
                файлов m3u,lap,asf.
    E80      - Александр Богомаз (Albom), эмулятор ZX Spectrum
    ZKEY     - Asper, виртуальная клавиатура
    VIEW3DS  - macgub, версия 0.052: динамическое выделение необходимой памяти;
                оптимизация
    HTMLV    - Кирилл Липатов (Leency), просмотрщик HTML-страниц, версия 0.48.5
    COBJ     - Александр Богомаз (Albom), показывает функции, экспортируемые
                Колибри-библиотекой (запуск из файловых менеджеров)
    DISPTEST - barsuk, программа для диагностики монитора
    LRL      - bw, порт игры Lode Runner Live, в свою очередь являющуюся
                реинкарнацией древней игры Lode Runner.
                Стрелки - движение, p - пауза, 5 - остановиться,
                PgDn(1)/End(3) - вырыть другому яму, Ctrl+1/2/3 -
                масштабировать рисуемую картинку. Цель - собрать все сундуки
                с золотом на уровне, не попасться в зубы врагу;
                причём враги могут красть сундуки, но когда они падают в яму,
                сундук не пролезает и его можно отобрать; после чего выйти
                вверх.
    INVADERS - Hidnplayr, игра, цель которой - уничтожить всех пришельцев до
                того, как они доберутся до вашего звездолёта; управление
                клавишами навигации.
    MBLOCKS  - Константин Николенко (Veliant), новая версия на C-- - не
                перерисовывается всё окно при открытии блоков
               Кирилл Липатов (Leency), новые изображения
               Евгений Гречников (Diamond), переписывание обратно на ассемблер
                (уменьшение размера)
    LIGHTS   - newbie, классическая игра в Лампочки известна давно.
                Цель игры - включить все 25 "лампочек". Нажатие мышкой на
                клетку переключает лампочку и все соседние между состояниями
                вкл./выкл.
    KOX      - newbie, простенькая игра в крестики-нолики
    BNC      - newbie, известная логическая игра Быки-Коровы. Требуется
                отгадать задуманное программой число. Используя цифровые кнопки
                на клавиатуре, игрок вводит четыре цифры и заканчивает ввод
                нажатием ENTER. В случае неправильного ввода можно удалить знак
                кнопкой BackSpace. Программа обрабатывает введенное число,
                сравнивает со своим и выдает значения быков и коров.
                Игрок ни с кем не соревнуется (программа не угадывает число
                игрока), а лишь развивает свои мозги... В этом вся суть игры -
                пошевелить мозгами
    WHOWTBAM - Dron2004, игра по мотивам популярной телеигры
                "Кто хочет стать миллионером?" по классическим правилам
    PADENIE  - chaykin, игра, которая может помочь скоротать время и поднять
                настроение
    KOSILKA  - Кирилл Липатов (Leency), обновление до версии 1.1: устранение
                мерцания, учёт высоты скина
    PITON    - Александр Богомаз (Albom), ремейк известной игры "Питон"
    PONG     - Александр Богомаз (Albom), русификация, улучшения
    CLICKS   - Кирилл Липатов (Leency), версия 0.75: багфиксы, улучшения
    MEGAMAZE - Андрей Ивушкин (Willow), логическая игра, правила можно
                узнать, нажав кнопку H
    STACKCFG, FREECELL, DNSR - Ataualpa, русский интерфейс
    SYSXTREE - Ataualpa, добавление обработки некоторых типов файлов

   * Приложения, использующие окна со скином, не обрабатывающие изменения
     размеров окна и не исправленные в прошлый раз, теперь используют новый
     стиль окон - Ataualpa, Leency

*******************************************************************************
 Колибри OS версия 0.7.1.0 Сентябрь 2007
*******************************************************************************

     Произведены следующие изменения и доработки в ядре и драйверах:

   От Евгения Гречникова (Diamond) - Российская Федерация
     1) Улучшенная процедура сглаживания фоновой картинки для режимов
        Vesa2 и VGA.
     2) Окно приложения активизируется не при запуске, а при первом определении
        его системной функцией 0; приложения, не создающие окна, теперь не
        сбивают оконный стек.

   От Сергея Семёнова (Serge) - Российская Федерация
     1) Багфиксы и развитие драйверов звука.
     2) Аппаратный курсор мыши для новых видеокарт ATI.

   От Марата Закиянова (Mario79) - Российская Федерация
     1) Уточнение процедуры поиска всех логических дисков.
     2) Улучшение подсистемы кэширования для жёстких дисков и CD/DVD:
        размер кэша определяется динамически; отдельный кэш для каждого
        устройства. Для поддержки кэширования CD/DVD введены новые
        системные функции 24.4 и 24.5 (см. sysfuncr.txt).
     3) Новая системная функция 18.19.5 - эмуляция кнопок мыши
        (см. sysfuncr.txt).

   От Михайлова Ильи (Ghost) - Российская Федерация
     1) Новая системная функция 57 для обращения к расширению PCI BIOS
        (см. sysfuncr.txt).

   От Виктора Григорьева (vectoroc) - Российская Федерация
     1) Системная функция 18.13 позволяет узнать номер ревизии ядра
        (см. sysfuncr.txt).

   От SPraid - Российская Федерация
     1) Изменения для загрузки с CD.
     2) Новый стиль окна (для системной функции 0, см. sysfuncr.txt),
        окно со скином фиксированных размеров.

   От kaitz
     1) Коррекция загрузочных сообщений на эстонском.

   От Rus
     1) Изменение в обработке NumPad клавиш.

   От Alver
     1) Новые системные функции 18.21 для получения номера слота
        потока по идентификатору и 18.22 для действий с окнами других потоков
        (см. sysfuncr.txt).

     С приложениями произведены следующие доработки и исправления:

   * Обновления и добавление приложений:
     KFAR - Евгений Гречников (Diamond), версия 0.41: возможность работы с
            плагинами; плагин kfar_arc для чтения архивов 7z и zip; начальный
            режим отображения файлов на панелях считывается из ini-файла;
            Insert/Delete в меню выбора дисков - загрузить/выгрузить лоток CD
     KFM - Марат Закиянов (Mario79), версия 0.45h: комбинации Shift+W,Ctrl+W
           на jpeg-картинке устанавливают её фоном рабочего стола (замостить/
           растянуть соответственно); поддержка колёсика мышки; размер полосы
           прокрутки в панелях устанавливается в зависимости от числа файлов;
           Insert/Delete в меню выбора дисков - загрузить/выгрузить лоток CD
     FASM - Евгений Гречников (Diamond), возможно создание файла с
            символьной информацией для отладки; динамическое выделение памяти
            для компиляции
            Павел Рымовский (Heavyiron), обновление до версии 1.67.23
     MTDBG - Евгений Гречников (Diamond), возможна загрузка информации о
             символах в программе; небольшие улучшения дизассемблера
     TINYPAD - Rus, багфиксы, кнопка закрытия отдельной вкладки, запрос на
               сохранение перед закрытием
               Михаил Семеняко (mike.dld), поддержка колёсика мышки
               kaitz, обновление эстонского перевода
     @TASKBAR - Rus, контекстное меню панели с кнопкой "закрыть"
              Alver, кнопка "свернуть" контекстного меню и кнопки панели
              "свернуть все", "развернуть все", "переключить состояние всех"
              Diamond, кнопка "развернуть" контекстного меню для свёрнутых окон
     JPEGVIEW - Евгений Гречников (Diamond), ускорение установки фона
                Марат Закиянов (Mario79), возможность установки фоном
                картинки из файла через командную строку
     AC97SND - Сергей Семёнов (Serge), работа с новыми драйверами звука
     AIRC - Павел Рымовский (Heavyiron), версия 0.51: сервер по умолчанию
            задан именем вместо статического IP; багфиксы
     RDSAVE - kaitz, добавлен перевод на эстонский
     KOSILKA - Dron2004, пошаговая логическая игра: требуется скосить всю
               траву на карте нетривиальной конфигурации, причём по уже
               скошенной траве ездить нельзя
     LINES - реализация известной игры "Color Lines"; известное русское
             название "Шарики" к текущей версии, к сожалению, не подходит
     RFORCES - Serial, аркада Rocket Forces
     KPACK - Евгений Гречников (Diamond), возможность распаковки файла
     ICON - Кирилл Липатов (Leency), новые изображения
            Евгений Гречников (Diamond), корректная работа кнопки "применить"

   * Приложения, использующие окна со скином и не обрабатывающие изменения
     размеров окна, теперь используют новый стиль окон - SPraid

*******************************************************************************
 Колибри OS версия 0.7.0.0 Июнь 2007
*******************************************************************************

     Произведены следующие изменения и доработки в ядре:

   От Евгения Гречникова (Diamond) - Российская Федерация
     1) Исправление ошибок в коде работы с файловыми системами.
     2) Новая системная функция 68.20 для перераспределения блока памяти
        (см. sysfuncr.txt).
     3) Скорректирован код определения COM-мыши, объединён код обработки
        данных от COM1- и COM2-мышей.
     4) Нормальная обработка события о перерисовке фона, ускорение перерисовки.
     5) Удаление устаревшего кода.
     6) Выбор неизвестного или неподдерживаемого видеорежима в синем
        загрузочном экране приводит к возврату к настройкам
        (а не к необходимости Ctrl+Alt+Del; предложил Wildwest).
     7) В настройках можно полностью отключить DMA-режим при работе с жёсткими
        дисками (а не только запись); по предложению andrew_programmer
        такой режим установлен по умолчанию: DMA-код работает не на всех
        конфигурациях, но если он всё же работает, лучше его включить.
     8) Поддержка относительных путей для функции 70; новая системная функция
        30 для работы с текущей папкой (см. sysfuncr.txt).
     9) Поддержка упакованных (с помощью kpack) скинов.
     10) Ускорение процедуры отрисовки фона для VGA и VESA2 режимов.
     11) Мелкие доработки и багфиксы, не стоящие подробного упоминания.

   От Сергея Семёнова (Serge) - Российская Федерация
     1) Динамическое выделение ring0-стека для потока.
     2) Уменьшение объёма используемой ядром памяти.
     3) Переход на плоское ядро (приложения загружаются по адресу 0,
        ядро размещается в старших адресах - 0x80000000+).
     4) Добавление строк с сообщением о копирайте во все файлы исходников ядра.
     5) Мелкие доработки и багфиксы, не стоящие подробного упоминания.

   От Марата Закиянова (Mario79) - Российская Федерация
     1) Память под фоновую картинку выделяется динамически.
        Это снимает ограничение 800*600 для её размера, а также экономит
        память в случае малых размеров.

   От Михайлова Ильи (Ghost) - Российская Федерация
     1) Fast System Call (поддержка системных вызовов sysenter,syscall).

   От Михаила Семеняко (mike.dld) - Республика Беларусь
     1) Библиотека FDO (Formatted Debug Output) включена в ядро;
        вывод многих сообщений модифицирован с её использованием.
     2) Драйвер сетевой карты RTL8169.
     3) Вывод svn-ревизии ядра в синем загрузочном экране
        (используется совместно с Victor п.1))

   От vhanla
     1) Окно перемещается только в случае щелчка на заголовке
        (а не просто попадания курсора мыши на заголовок при нажатой кнопке).
     2) Кнопка срабатывает только в случае щелчка в её области
        (а не просто нажатия мыши в области с последующим отпусканием где-то).

   От Виктора Григорьева (Victor) - Российская Федерация
     1) Включение строки с номером svn-ревизии во все файлы исходников ядра.

   От kastigar - Украина
     1) Обработка PS/2-мыши вынесена в отдельный драйвер.
     2) Поддержка расширенных режимов для PS/2-мышей с колёсиком и 5 кнопками;
        новые флаги в системной функции 37.2; новая функция 37.7
        (см. sysfuncr.txt).

   От SPraid - Российская Федерация
     1) Загрузка user-mode библиотек (COFF-формата) для ядра.
     2) В случае загрузки с жёсткого диска с помощью специального загрузчика
        разбор конфигурационного файла sys.conf и перенаправление
        указанных там путей на заданные для функции 70.
     3) Функция 70 понимает обращение /sys - /rd/1 для нормальной загрузки,
        /HDx/y/KOLIBRI в случае пункта 2).


     С приложениями произведены следующие доработки и исправления:

   * Обновления и добавление приложений:
     KFAR - Евгений Гречников (Diamond), версия 0.35: чтение параметров из
            ini-файла; быстрый переход к предопределённым в ini-файле папкам по
            RCtrl+<n>; выделение файлов по Insert, Grey[+] (выделить по маске),
            Grey[-] (снять выделение по маске), Grey[*] (инвертировать);
            множественное удаление и копирование (выделенных элементов);
            удаление и копирование папок происходит вместе со всей файловой
            подструктурой папки.
     KFM - Марат Закиянов (Mario79), версия 0.44i: выделение файлов по
            Insert, Ctrl+A=Ctrl+Grey[+] (выделить всё), Ctrl+Grey[-] (снять
            выделение), Ctrl+Grey[*] (инвертировать); множественное удаление,
            копирование и перемещение (выделенных файлов) с индикатором
            прогресса; обработка мыши; создание папки; полоса прокрутки в
            панелях; F1 показывает список используемых клавиш;
            F4 - редактирование файлов в стороннем приложении согласно
            ассоциации в ini-файле; оптимизация.
     FASM - Павел Рымовский (Heavyiron), обновление до версии 1.67.21
     RDSAVE - Павел Рымовский (Heavyiron), добавлен путь по умолчанию для
                      резервного сохранения, который можно поменять в исходнике
     CALC - Павел Рымовский (Heavyiron), версия 1.32, изменение arccos
     MGB - Михаил Семеняко (mike.dld), версия 0.3
     ICON - SPraid, использует функцию 70
            Павел Рымовский (Heavyiron), ускорение отрисовки
            Кирилл Липатов (Leency), изменены изображения
     MTDBG - Евгений Гречников (Diamond), поддержка syscall и sysenter
     @TASKBAR - Евгений Гречников (Diamond), поддержка Alt+Tab/Alt+Shift+Tab;
                      не показывает потоков, не создавших окна
              SPraid, Alt+F4 не убивает саму панель и иконки
     CPUID - Сергей Кузьмин (Wildwest), Павел Рымовский (Heavyiron),
             Кирилл Липатов (Leency), версия 2.21
     CALENDAR - ДедОк, возможность установки системных даты/времени
     JPEGVIEW - Марат Закиянов (Mario79), модифицирован для работы с новым
                ядром; если при загрузке системы мало физической памяти, то
                устанавливает монохромный фон; понимает параметры COL0-COL9,
                означающие то же, что и BOOT ("вызван при загрузке системы"),
                но указывающие цвет монохромного фона при ограниченной памяти
                Евгений Гречников (Diamond), IPC-сервис по распаковке
                JPEG-данных для других программ
     PCIDEV - Илья Михайлов (Ghost), оптимизация, добавление информации в
              базу данных, определение IRQ устройства, нормализация версии PCI
     FTPS, RSQUARE, POPC, DESKTOP - Евгений Гречников (Diamond),
              используют функцию 70
     DESKTOP - Евгений Гречников (Diamond), поддержка упакованных
              (с помощью kpack) скинов; поддержка запуска с параметром - именем
              файла скина (для вызова через KFAR и KFM по Enter на файле)
     GMON - Илья Михайлов (Ghost), небольшие изменения и багфиксы
     KERPACK - Евгений Гречников (Diamond), работа с новым (плоским) ядром
     KPACK - Евгений Гречников (Diamond), упакованному файлу ставятся такие
             же дата/время, какие были у исходного
     VIEW3DS - macgub, версия 0.04
     AIRC - hidnplayr, версия 0.5: вместо IP сервера можно задавать его
            доменное имя
     FARA - Евгений Гречников (Diamond), использование для графики наряду
            с LZMA-сжатием JPEG-сжатие

   * Приложения, написанные на FASM'е, используют макрос mcall вместо int 0x40.
     Некоторые старые приложения заодно модифицированы для использования
     новых возможностей функции 0, а также стандартного заголовка исполнимых
     файлов взамен устаревшего - Павел Рымовский (Heavyiron)

*******************************************************************************
 Колибри OS версия 0.6.5.0 Февраль 2007
*******************************************************************************

     Произведены следующие изменения и доработки в ядре:

   От Евгения Гречникова (Diamond) - Российская Федерация
     1) В загрузочном экране добавлена возможность запретить
        DMA-режим записи на HD, который быстрее и эффективнее,
        но работает не на всех компьютерах.
     2) Поддержка чтения (и запуска программ) с NTFS-томов.
     3) Установка частоты и задержки автоповтора клавиатуры теперь работает.
     4) Расширенный аналог функции 7 для вывода изображений
        (функция 65 - см. sysfuncr.txt).
     5) Новая функция 70.9 для создания папки (см. sysfuncr.txt).
     6) Исправление лимита селектора gs (для прямого доступа к графике).
     7) Модификация функции 18.6 для поддержки длинных имён (см. sysfuncr.txt).
     8) Мелкие доработки, не стоящие подробного упоминания.

   От Сергея Семёнова (Serge) - Российская Федерация
     1) Исправление багов работы с FPU, а также с драйверами.
     2) Поддержка файлов, упакованных kpack
        (упакованные драйвера, приложения).
     3) Поддержка конфигураций с 16 Мб оперативной памяти.
     4) Поддержка нестандартных курсоров мыши
        (функции 37.4, 37.5, 37.6 - см. sysfuncr.txt).
     5) Драйвер аппаратного курсора для видеокарт ATI.
     6) Контроль версии загружаемых драйверов.
     7) Куча для работы с небольшими блоками памяти и malloc/free уровня ядра.
     8) Поддержка объектов ядра.
     9) Мелкие доработки, не стоящие подробного упоминания.

   От Марата Закиянова (Mario79) - Российская Федерация
     1) Код сглаживания фоновой картинки.

   От Михайлова Ильи (Ghost) - Российская Федерация
     1) Исправление лимита селектора APM в GDT.
     2) Ядро теперь не резервирует порты, используемые GMon.

   От Михаила Семеняко (mike.dld) - Российская Федерация
     1) Командные файлы build_*.bat заменены общим build.bat.
     2) Новый флаг в функции 0 (см. sysfuncr.txt).

   От Johnny_B - Российская Федерация
     1) Развитие кода работы с сетью.

   От kaitz
     1) Эстонские сообщения и шрифт при загрузке.

     С приложениями произведены следующие доработки и исправления:

   * Удалены:
     1) tinypad2 - в связи с существованием текстового процессора tinypad

   * Обновления и добавление приложений:
     KERPACK - Евгений Гречников (Diamond), упаковывает /rd/1/kernel.mnt
     KFAR - Евгений Гречников (Diamond), обновление до версии 0.22,
        контекстное меню для файлов bmp,gif,asm, копирование файлов,
        поддержка Alt+F9 (изменение размеров до максимально возможных и
        восстановление размеров), значительная оптимизация по скорости,
        нормальная обработка ошибок, создание папок, возможность переключения
        режима отображения файлов (LeftCtrl+1/2/3/4)
     KPACK - Евгений Гречников (Diamond), упаковщик файлов; для распаковки
        используйте unpacker.inc из папки develop в исходниках дистрибутива
     MTAPPACK - Евгений Гречников (Diamond), версия 2.2
     H2D2B - Алексей Ершов (ealex), добавлены кнопки, демонстрирующие
        сдвиг числа на 1 разряд (shl/sal/shr/sar)
     VIEW3DS - macgub, обновление до версии 0.02
     3DSPIRAL - macgub, 3D-демка
     KFM - Марат Закиянов (Mario79), новый файловый менеджер, версия 0.32
     CPUID - Сергей Кузьмин (Wildwest), обновление до версии 2.17
     MAGNIFY - Евгений Гречников (Diamond), окно со скином и оптимизация
     FASM - Павел Рымовский (Heavyiron), обновление до версии 1.67.20
            Евгений Гречников (Diamond), нормальная генерация не-двоичных
            файлов и корректная работа в случае нескольких входных файлов
     GMON - Ghost, поддержка ABIT uGuru, Winbond W83627DHG,W83627EHF,W83627EHG,
            багфиксы
     AC97SND - Сергей Семёнов (Serge), работа с новыми драйверами,
               поддержка перемотки MP3
     PERIOD - Johnny_B, оптимизация
     ANIMAGE - Андрей Игнатьев (andrew_programmer), обновление до версии 1.1
               goglus, дизайн
     TINYPAD - Михаил Семеняко (mike.dld), версия 4.0.4, интерфейс закладок,
               перекодировка между cp866,cp1251,koi8-r, динамическое выделение
               памяти, окончательное переписывание на функцию 70,
               диалог настроек
               kaitz, перевод сообщений на эстонский язык
     VNCCLIENT - hidnplayr, VNC клиент
     @TASKBAR, CPU, END, DESKTOP, SETUP, CALENDAR - kaitz,
               перевод на эстонский язык
     FREE3D04 - Сергей Семёнов (Serge), оптимизация
                Павел Рымовский (Heavyiron), использование скина
     SCRSHOOT - Максим Евтихов (Maxxxx32), версия 0.9, сохранение произвольной
                области экрана
                Павел Рымовский (Heavyiron), англификация
     RUN - Алексей Теплов (<Lrz>), улучшено поле редактирования,
           подправлена отрисовка при больших значениях высоты скина
           Павел Рымовский (Heavyiron), англификация
     3DCUBE2, BCDCLK, BGITEST, COLORREF, CSLIDE, MOVBACK, PLASMA, TIMER,
     TRANSP, TUBE, KEYASCII, SCANCODE, END - Павел Рымовский (Heavyiron),
           окно со скином, правильный цвет заголовка, рисование относительно
           клиентской области
     MENU - Павел Рымовский (Heavyiron), улучшена работа с цветом
     PANEL - Павел Рымовский (Heavyiron), улучшена прорисовка индикатора
           загрузки процессора
     TELNET, TERMINAL, TFTPA, TFTPC, YM - Johnny_B, использование скина
           и стандартного заголовка вместо устаревшего
     AUTODHCP - hidnplayr, обновление до версии 1.3
     CALENDAR, CPU, GMON, SETUP - Павел Рымовский (Heavyiron),
           правильный цвет заголовка
     END - Павел Рымовский (Heavyiron), добавлена кнопка вызова rdsave
     RDSAVE - Павел Рымовский (Heavyiron), возможность вводить путь

*******************************************************************************
 Колибри OS версия 0.6.3.0 Октябрь 2006
*******************************************************************************

     Произведены следующие изменения и доработки в ядре:

   От Евгения Гречникова (Diamond) - Российская Федерация
     1) Исправление глюков, существовавших долго и не очень:
        * глюк "неполная загрузка рамдиска" (обнаружил Heavyiron),
          вызван тем, что код включения A20 при переходе в защищённый режим
          работал не на всех компьютерах правильно
        * глюк "incorrect resizing in tinypad" (обнаружил hidnplayr),
          вызван тем, что при использовании новых флагов в функции 0
          клиентская область не всегда правильно обновлялась при изменении
          размеров окна
        * глюк с неправильным выходом из функции 70.5 для CD (обнаружил trolly)
        * глюк с неправильным чтением файлов с CD с ненулевого смещения
          (обнаружил Serge)
        * глюк в функции 47 при использовании новых флагов в функции 0
          (обнаружил Heavyiron)
        * корректировка кода Mario79 пункт 1 (работал не на всех компьютерах)
        * глюк "отсутствие вывода размера памяти в bootlog" (обнаружил Mario79)
     2) Новая функция 70.8 для удаления файла/папки.
     3) Изменения для поддержки упаковки ядра.
     4) Мелкие доработки кода, не стоящие подробного упоминания.

   От Марата Закиянова (Mario79) - Российская Федерация
     1) Код работы с DMA для жёстких дисков.

   От Serge - Российская Федерация
     1) Поддержка загрузки внешних драйверов.
     2) Новый менеджер памяти.
        Перемещение базового виртуального адреса приложений
        (с 0x10000000 в 0x60400000).
     3) Поддержка SSE.
     4) Возможность для приложения устанавливать свои обработчики исключений
        FPU и SSE.
     5) Новые системные функции для работы с 1)2)4) (см. sysfuncr.txt).
     6) Драйверы поддержки звука.
     7) Поддержка загрузки DLL.
     8) Мелкие доработки, не стоящие подробного упоминания.

   От Михайлова Ильи (Ghost) - Российская Федерация
     1) Исправление лимита селектора APM в GDT.

   От Павла Рымовского (Heavyiron) - Российская Федерация
     1) Командные файлы build_*.bat теперь удаляют вспомогательный файл
        lang.inc после компиляции.

     С приложениями произведены следующие доработки и исправления:

   * Удалены:
     1) hunter, tanks, arcanoid - игрушки, признанные лишними в дистрибутиве
     2) ac97wav - заменён новой программой ac97snd (описана ниже)
     3) @numcalc - исходники перенесены в папку develop
     4) rdfdel - удалять файлы теперь можно из kfar, это гораздо удобнее
     5) 3detx60b - 3d-движок, как программа бесполезен, а как библиотека
        может пригодиться - исходики перенесены в папку develop
     6) 3dstpot - заменён новой программой view3ds (описана ниже)
     7) md5.asm - перенесён в папку develop в исходниках дистрибутива
     8) ir, rtdata - как программа бесполезны, как пример
        доступа к портам ввода/вывода могут пригодиться - исходники
        перенесены в папку develop

   * Обновления и добавление приложений:
     KFAR - Евгений Гречников (Diamond), обновление до версии 0.14,
        возможность удаления файлов и пустых папок
     HTTPS - Hex, новая версия 0.5
             YELLOW, переписывание на 70-ю функцию
             Павел Рымовский (Heavyiron), использование новых возможностей
             функции 0
     CALC - Павел Рымовский (Heavyiron), версия 1.31, использование таблицы
        системных цветов и новых возможностей функции 0
     @RB - Евгений Гречников (Diamond), исправление ситуации, когда
        контекстное меню рабочего стола не вызывалось при щелчке в области,
        ранее занятой свёрнутым окном (обнаружил AqwAS)
     CMD - Евгений Гречников (Diamond), корректировка перерисовки окна
        (обнаружил AqwAS)
     SYSXTREE - Евгений Гречников (Diamond), исправление багов со строкой URL
        (обнаружил AqwAS)
     AC97SND - Serge, новая программа для работы со звуком, использует
        звуковые драйверы. Поддержка WAV и MP3. Запуск через KFar или sysxtree
        выбором звукового файла.
     FASM - Павел Рымовский (Heavyiron), обновление до 1.67.13, использование
            новых возможностей функции 0, запуск через 70-ю функцию
            Serge, переписывание всего ввода/вывода на 70-ю функцию
     DESKTOP - Михаил Семеняко (mike.dld), при просмотре скина показывает
        вид всех 4-х типов окон
        Павел Рымовский (Heavyiron), использование новых возможностей функции 0
     CHESS - YELLOW, переписывание на 70-ю функцию
     TRANTEST, TETRIS, MINE, JPEGVIEW, DOCPAK, GIFVIEW, JPEGVIEW -
        Павел Рымовский (Heavyiron), использование скина, таблицы системных
        цветов и новых возможностей функции 0
     VRR - Павел Рымовский (Heavyiron), оптимизация, использование новых
        возможностей функции 0
     CUBETEXT, CUBELINE, GEARS - iadn, пример использования библиотеки TinyGL
     VIEW3DS - macgub, программа для просмотра 3ds-файлов, запуск через
        KFar или sysxtree выбором 3ds-файла
     CHECKERS - Евгений Гречников (Diamond), реализация известной игры "Шашки"
     FARA, XONIX - Евгений Гречников (Diamond), переписывание на 70-ю функцию
     MV - Евгений Гречников (Diamond), поддержка сжатых по RLE8 изображений
        и файлов с обратным порядком следования строк изображения
     COPY2 - Марат Закиянов (Mario79), переписывание на 70-ю функцию
     LIFE2 - Евгений Гречников (Diamond), переписывание на 70-ю функцию и
        поддержка запуска с параметром (выбором файла .lif из KFar/sysxtree)
     AIRC - Михаил Семеняко (mike.dld), поддержка кодировки cp1251
     END, MENU - Павел Рымовский (Heavyiron), изменён внешний вид
     STACKCFG - Павел Рымовский (Heavyiron), добавлена возможность установки
        параметров сети при загрузке системы
     TESTCON2 - Евгений Гречников (Diamond), консольный пример
                Serge, переписан для использования DLL (/rd/1/console.obj)

*******************************************************************************
 Колибри OS версия 0.6.0.0 Сентябрь 2006
*******************************************************************************

     Произведены следующие изменения и доработки в ядре:

   От Евгения Гречникова (Diamond) - Российская Федерация
     1) Новые функции 70.3 и 70.4 для записи данных и установки размера
          существующего файла с поддержкой длинных имён (см. sysfuncr.txt).
     2) Исправление ошибки в выводе изображения и полосы (они не прорисовывали
          пиксели на нижней и правой границах окна).
     3) Исправление падения ядра при загрузке приложения со слишком большим
          размером исполняемого файла (больше выделенной памяти).
     4) Теперь при загрузке системы с дискеты читаются только
          используемые секторы.
     5) Поддержка новых возможностей в функции 4 (см. sysfuncr.txt).
     6) Мелкие доработки, которые не имеет смысла описывать.

   От Михаила Семеняко (mike.dld) - Республика Беларусь
     1) Системные функции для работы с заголовком окна -
          новый флаг в функции 0 и новая функция 71 (см. sysfuncr.txt).
     2) Поддержка возможности рисования относительно клиентской области
          окна - новый флаг в функции 0 (см. sysfuncr.txt).
     3) Теперь системная функция 9 дополнительно возвращает координаты
          клиентской области и состояние окна (см. sysfuncr.txt).
     4) Мелкие доработки, которые не имеет смысла описывать.

   От Марата Закиянова (Mario79) - Российская Федерация
     1) Оптимизация кода работы с графическими режимами
          320*200*256 и 640*480*16.
     2) Улучшение кода обработки мыши. Добавление новой функции
          18.19 (подробнее см. sysfuncr.txt).
     3) Улучшение кода определения HDD: раньше операция сброса выполнялась
          только для CD, теперь и для HDD тоже.
     4) Теперь код чтения/записи сектора на HDD не запрещает прерывания
          полностью, а только блокирует прерывания IDE.
     5) Мелкие доработки, которые не имеет смысла описывать.

   От Андрея Халявина (halyavin) - Российская Федерация
     1) Изменения в процедурах запуска приложения.

   От Ивана Поддубного - Российская Федерация
     1) Ускорение GUI: функция calculatescreen.
     2) Исправление функции 1.
     3) Улучшение читабельности исходников за счёт ввода системных структур.
     4) Скорректирована процедура определения PS/2 мыши.

   От Johnny_B - Российская Федерация
     1) Функция 4 теперь поддерживает вывод ASCIIZ-строк.

     С приложениями произведены следующие доработки и исправления:

   * Удалены:
     1) colors, fs, hexview, stackinf, systrace, template по причине
        ненужности. Исходники template и hexview оставлены в исходниках
        дистрибутива, поскольку могут быть полезны при разработке.
     2) hexhd в связи с существованием продвинутого аналога hdread.
     3) mview в связи с существованием текстового процессора tinypad.
     4) scrshot и vscreen в связи с существованием продвинутого аналога
        scrshoot.
     5) xpaint29 в связи с существованием продвинутого графического
        редактора animage.
     6) ppp - бесполезен в скомпилированном виде, вместо него включены
        исходники (ppp.asm и chat.inc). Инструкция по ppp-звонилке находится
        в приложении docpak.
     7) md5 - аналогично включены исходники - узнать MD5-хэш строки '123'
        конечно, интересно, но только первый раз.
     8) example, example2, example3 - это просто примеры программирования,
        интересные только разработчикам; исходники оставлены
        в исходниках дистрибутива.
     9) cdplay в связи с существованием продвинутого аналога cdp.
     10) bmpview в связи с существованием продвинутого аналога mv.

   * Обновления и добавление приложений:
     KFAR - Евгений Гречников (Diamond), обновление до версии 0.12,
        встроенный просмотрщик
     TINYPAD - Михаил Семеняко (mike.dld), обновление до версии 4.0.3
     FIRE, FIRE2 - Евгений Гречников (Diamond), оптимизация по размеру (теперь
        каждое влезает в один сектор на рамдиске) и используемой памяти
     MTAPPACK - Евгений Гречников (Diamond), обновление до версии 2.1,
        оптимизация загрузчиков
     DOCPAK - Евгений Гречников (Diamond), теперь приложение использует
        функцию 70; исправлен редкий баг для случая файлов с размером,
        кратным 0x100
     EYES - Евгений Гречников (Diamond), оптимизация по размеру, удаление
        мерцания, работает с новым ядром (после модификации Халявина 1)
     SYSXTREE - Евгений Гречников (Diamond), использует новую функцию 70
     MV, JPEGVIEW, GIFVIEW, AC97WAV, MIDAMP, @RCHER, RTFREAD, LAUNCHER, @RB,
     VRR_M - Евгений Гречников (Diamond), модифицированы для использования
        функции 70
     COLORREF - Павел Рымовский (Heavyiron), теперь приложение использует
        скин и занимает меньше памяти
     FARA - Владимир Зайцев (Rabid Rabbit), игра "Гробница фараона"
        (правила находятся в ОС в приложении docpak)
        Игра сохраняет таблицу результатов на рамдиске. Если вы не хотите,
        чтобы она исчезла при перезагрузке, не забудьте сохранить образ
        рамдиска.
     SQ_GAME - написал ealex (причём давно), немного оптимизировал diamond
        (чтобы влезала в один сектор на рамдиске). Логическая игра.
     MV, PIC4 - Diamond немного подправил, чтобы можно было изменять фон
        как описано в config.txt
     RUN - Евтихов Максим (Maxxxx32), исправлена ошибка в обработке
        сообщений об ошибках
     SCRSHOOT - Евтихов Максим (Maxxxx32), обновление до версии 0.78,
        оптимизация
     ANIMAGE - Андрей Игнатьев (andrew_programmer), обновление до версии 1.0
     SETUP - Марат Закиянов (Mario79), работа с новой функцией 18.19;
        теперь используется новая функция 70 вместо устаревших 6 и 33.
     LIFE2 - Андрей Румянцев, продвинутая и очень быстрая реализация известной
        игры "жизнь". На рамдиске есть несколько примеров (файлы *.lif),
        большое число конфигураций можно найти в исходниках дистрибутива.
        Для появления строки меню щёлкните левой кнопкой мыши.
     PCIDEV - Марат Закиянов (Mario79) и Сергей Кузьмин (Wildwest), версия 2.0
     TRANTEST - Павлюшин Евгений (EXIS), давно написанная быстрая версия
     PIPES - Mario Birkner (cYfleXX), обновление до версии 1.2
     MHC, CMD - Frank Sommer (derPENGUIN), теперь приложения используют скин

*******************************************************************************
 Колибри OS версия 0.5.8.1 Август 2006
*******************************************************************************

    Произведены следующие изменения и доработки в ядре:

  От меня - Марата Закиянова (Mario79) - Российская Федерация
    1) Исправлена функция 58/8 - прежний код обеспечивал доступ
       лишь к HD0 (Primary Master, IDE0)
    2) Улучшен алгоритм поиска разделов FAT16 и FAT32 на жестком диске,
       теперь возможна работа с разделами, которые ранее не виделись в Колибри.
    3) Устранение зависания драйвера FAT при обращении к несуществующему
       жесткому диску.
    4) Драйвер CD с доступом через функцию 70, доступ с использованием
       длинных имен файлов, с возвратом содержимого директорий в стандарте N1,
       в ANSI и UNICODE кодировке. (описание в Sysfuncr.txt)
    5) Исправление функции 18/6, теперь перед записью образа на жесткий диск
       производится резервирование, что позволяет избежать попытки
       одновременного доступа к жесткому диску.
    6) Резервирование контролера IDE в 70 функции. Позволяет избежать
       попытки одновременного доступа к 2-м IDE устройствам подключенным
       к одному контроллеру (Master и Slave физически не могут работать
       одновременно).

  От Diamond - Российская Федерация
    1) Несколько усовершенствований отладочного кода в ядре.
    2) Устранение лишних перерисовок фонового изображения.
    3) Драйвера FAT12, FAT16, FAT32 с доступом через функцию 70,
       доступ с использованием длинных имен файлов, с возвратом содержимого
       директорий в стандарте N1, в ANSI и UNICODE кодировке.
       (описание в Sysfuncr.txt)
    4) Поддержка "горячих" комбинаций клавиш для приложений.
       Новые функции 66/4 и 66/5. (описание в Sysfuncr.txt)
    5) Множество менее крупных оптимизаций в ядре и удаление лишнего кода.

  От Андрея Халявина (halyavin) - Российская Федерация
    1) Доработка кода ядра позволяющая компилировать Fasm 1.66
    2) Добавлена функция 18/18 - завершение потока по его PID
      (описание в Sysfuncr.txt)
    3) Исправлена ошибка с посылкой EOI (конец прерывания) в процедуре
       change_task, теперь при отсутствии прерывания EOI не посылается.
    4) Зарезервировано 8Мб для LFB. Новый линейный адрес LFB - 0x80000000.
       Это позволило решить проблему с запуском режима 1280*1024*32 бита.

  От Ивана Поддубного - Российская Федерация
    1) memmap.inc: отмечены области, зарезервированные физическим
       менеджером памяти.
    2) physmem.inc: исправлена ошибка с cld/std распределением и
       копированием физических блоков памяти.
    3) Улучшение планировщика - теперь change_task и обработчик irq0
       не пересекаются настолько криво. Код стал более прямым и быстрым.
    4) Пропуск мертвых окон в некоторых функциях в window.inc
    5) Прямая активация окна без osloop/checkwindows, прямое сворачивание окна.
    5) Множество менее крупных оптимизаций в ядре и удаление лишнего кода.

  От Михайлова Ильи - (Ghost) - Российская Федерация
    1) Функция 49 - APM (Advanced Power Management, описание в Sysfuncr.txt)

  От Serge - Российская Федерация
    1) Увеличены задержки для процедур работающих с PS2 портом. Как выяснилось,
       на компьютерах с быстрыми процессорами значение задержек были
       недостаточными и некоторые PS2 мыши не успевали ответить на запрос.
       Особенно это касается USB мышей эмулируемых через BIOS как PS2 мышь.

    С приложениями произведены следующие доработки и исправления:

  * Удалены:
    1) приложение LFN (в ядре теперь есть функция 70).
    2) приложение CPUSPEED, имеется более лучшая альтернатива CPUID.
    3) приложение SYSMETER, имеется более лучшая альтернатива GMON.
    4) приложение LC (Lisovin Commander), приложение не работает с текущим
       ядром, исходные коды приложения отсутствуют.

  * Обновления и добавление приложений:
    KFAR - Diamond, новый менеджер файлов, работающий через 70 функцию.
           Реализован просмотр содержимого дисков и запуск приложений.
    @TASKBAR - Diamond, доработано для работы с 66/4 и 66/5, теперь "горячие"
             комбинации клавиш срабатываю всегда.
    @NUMCALC - Diamond, резидентное приложение, висит в памяти и запускает
               калькулятор по нажатию клавиши NumLock.
    MENU - Mario79, переписано для работы с функцией 70.
    TINYPAD - Михаил Семеняко (mike.dld), версия 4.0.2, абсолютно новый
              Тинипад, по сути уже текстовый процессор, это надо видеть,
              описывать не имеет смысла. На данный момент существует один
              баг с невозможностью закрыть приложение, если оно было запущено
              с параметром, приходится прибивать приложение через CPU. По этой
              причине в скомпилированном файле включенном в дистрибутив была
              закомментирована часть кода, отвечающая за сохранение параметров
              при завершении приложения.
    ANIMAGE - Андрей Игнатьев (andrew_programmer), графический редактор. Самый
              лучший на текущий момент из написанных для Колибри. Это только
              предварительная версия, многие функции еще не закончены.
    CALC - Павел Рымовский (Heavyiron), калькулятор версии 1.3. Добавлено
           несколько новых функций, оптимизация работы.
    FASM - сборка под ОС - Павел Рымовский (Heavyiron), версия 1.67.5
                         - Бендик Виталий (mistifi(ator), версия 1.66
    GMON - Михайлов Илья (Ghost), Ghost Monitor, версия 0.3 - утилита (стресс)
           тестирования и мониторинга системы. Показывает температуру датчиков,
           загрузку системы, количество свободной памяти. Позволяет провести
           шоковое тестирование системы на перегрев. Не рекомендуется активация
           этой опции без особой необходимости, так как возможен выход из строя
           оборудования.
    KBD - Михайлов Илья (Ghost), Kolibri Bus Disconnect, отключение шины
          процессора с целью уменьшения его температуры, побочный эффект
          наведение фонового шума в AC97 кодеки.
    MTAPPACK - Diamond, новая версия упаковщика исполняемых файлов.
    MTDBG - Diamond, отладчик приложений использует функцию 69. Реализует
            множество возможностей, которые ранее были невозможны для отладки
            приложений. Значительно облегчает жизнь разработчикам приложений.
    PCIDEV - версия 1.31, Jason Delozier и Сергей Кузьмин (Wildwest), много
             усовершенствований: отображение устройств, которые ранее
             не показывались, увеличен список опознаваемых устройств, приводится
             полное название фирмы производителя.
    SCRSHOOT - Евтихов Максим (Maxxxx32), Screenshooter v 0.75.
               Самый продвинутый скриншутер для Колибри, это надо видеть.
               Дополнительно <Lrz> доработал Editbox.inc, теперь поддерживается
               кнопка Del.
    RUN - Евтихов Максим (Maxxxx32), новая реализация старой программы, работа
          через 70 функцию, применена улучшенная компонента Editbox.
          Дополнительно <Lrz> доработал Editbox.inc, теперь поддерживается
          кнопка Del.
    CPUID - версия 1.13, Сергей Кузьмин (Wildwest),
            несколько усовершенствований и без того совершенной программы.
    AUTODHCP - hidden player, автоматизированный dhcp клиент.
    XONIX - rabid rabbit, игрушка.
    PIPES - cYfleXX, игрушка.
    3DSHEART - macgub, демо.
    3DSTPOT - macgub, демо.

*******************************************************************************
 Колибри OS версия 0.5.3.0 Март 2006
*******************************************************************************
  * Ядро основано на исходных кодах Menuet OS и поддерживает частичную обратную
    совместимость на уровне приложений. Ядро очень сильно переработано -
    изменено более 50% кода оригинала.

    Произведены следующие изменения и доработки в ядре:

  От меня - Марата Закиянова (Mario79) - Российская Федерация

    1) Параллельная обработка мышей: PS2, COM1, COM2
    2) Обнаружение мыши PS2.
    3) Перевод FPU (сопроцессор) в защищенный режим со сбросом.
    4) Возвращение фокуса (активация приложения) предыдущему приложения при
       завершении активного приложения.
    5) Изменение скина окна 4 типа, при потере и возвращении фокуса.
    6) Новый алгоритм вывода указателя мыши.
    7) Мелкие доработки которые не имеет смысла описывать.

  От Андрея Халявина (halyavin) - Российская Федерация

    1) Исправлена ошибка в shed.inc: аварийный отказ ядра при завершении работы
    2) Добавлено перераспределение прерываний IRQ к стандартной схеме при
       переходе в реальный режим при завершении работы.
    3) Улучшенный код начальной загрузки
    4) Исправлена ошибка приводящая к аварийному отказу при перезапуске системы
       из памяти.
    5) Добавлены функции:
       18/16 - вернуть размер свободной памяти (в Кб)
       18/17 - вернуть размер всей памяти (в Кб).
    6) Исправление ошибок смены скина при потере и возвращении фокуса
       (переменная aw_yes преобразована в стековый параметр)
    7) Исправлен странный рисунок кнопки для кнопок ярких цветов
    8) Уменьшен размер кода менеджера памяти
    9) Мелкие доработки которые не имеет смысла описывать.

  От Михаила Семеняко (mike.dld) - Республика Беларусь

    1) Усовершенствование функций сворачивания, разворачивания и схлопывания
       окон. Теперь положение окна запоминается и в каком виде вы его например
       свернули в панель, в таком виде оно будет восстановлено потом.
    2) Для использования в @Panel добавлены функции в ядро:
       48/5 - получить рабочую область экрана
       48/6 - задать рабочую область экрана
       48/7 - получить края скина
       48/8 - установить скин окна
    3) Удаление вызова check_window_move_request из главного цикла ОС, теперь
       окна перемещаются сразу.
    4) Новый формат скина окна 4 типа - теперь все данные скина в одном файле
       (*.skn). Соответственно изменен вывод окон со скином (используется в
       комплексе с кодом Mario79 п.5).
    5) Мелкие доработки которые не имеет смысла описывать.

  От Diamond - Российская Федерация

    1) Новый код загрузочного экрана в реальном режиме.
       Поддерживается сохранение параметров (при наличии загрузчика mtldr) и
       горячая комбинация Ctrl + Alt + Del для сброса компьютера.
    2) Добавлен отладчик API
    3) Исправлена ошибка записи файлов на РАМ диск.
    4) Исправление ошибки клавиатуры и PS2 мыши в VmWare
          (исправление кода Mario79 п.2)
    5) Исправление ошибки перезапуска ядра из памяти при загрузке с жесткого
       диска.
    6) Мелкие доработки которые не имеет смысла описывать.

    С приложениями произведены следующие доработки и исправления:

    @TASKBAR - Марат Закиянов (Mario79), листание списка выводимых приложений.
             Михаил Семеняко (mike.dld), установка рабочей области экрана и
             корректная работа при использовании VRR.
             Андрей Халявин (halyavin), устранена ошибка которая вела к
             неправильной позиции панели после сворачивания и восстановления
             правой боковой кнопкой приложения. Ошибка могла проявиться если
             бы система не ограничивала бы рисование окон за пределы области
             экрана.

    FASM - сборка под ОС - Марат Закиянов (Mario79), версия 1.65.12

  * Удалены: Файлы скина так как они теперь содержатся в *.skn файле.

  * По требованию отдельных разработчиков и пользователей ОС удалена небольшая
    коллекция MIDI файлов которые могут проигрываться в MIDAMP, находившаяся
    в папке \other\mid в прошлом выпуске. Так как это могло нарушить условия
    лицензии GPL.

  * Обновления и добавление приложений от русскоязычных программистов:

    MTAPPACK - Diamond, упаковщик исполняемых файлов, единственный на сегодня
               работающий в самой ОС, но по сжатию лучше всех остальных
               (которые работают под DOS - все разновидности MXP и MXC).

    END - - Diamond, уменьшение размера приложения.

    PERIOD10 - Navanax и Johnny_B, периодическая система Д. И. Менделеева,
               великого русского химика. Хороший справочник для обучения
               школьников.

    CALC - Павел Рымовский (Heavyiron), калькулятор версии 1.1 alpha. Улучшенное
           оформление, новая процедура вывода окна, окно 4 типа.

    VRR - Михаил Семеняко (mike.dld), смена режима без убивания всех приложений
          и без перезапуска приложения Launcher.

    ICON2 - Михаил Семеняко (mike.dld), доработан для корректной работы с
            применением VRR, без перезапуска приложения.

    DESKTOP - Михаил Семеняко (mike.dld), добавленная возможность изменять
              (заменять) скин окна 'на лету' (с предварительным просмотром).

    CPU -  Андрей Халявин (halyavin), исправление ошибка смещения на одно
          выводимое приложение при каждом обратном листании списка приложений.

    CPUID 1.11 - Сергей Кузьмин (Wildwest), увеличен список определяемых
                 процессоров, выводится количество свободной памяти (ОЗУ)и ее
                 общее количество, и другие доработки.

  * Добавление приложений от англоязычных программистов:

    FLATWAV - macgub, хорошая демка - хитрая обработка колышущегося и
              летающего флажка.

*******************************************************************************
 Колибри OS версия 0.5.2.0 Декабрь  2005
*******************************************************************************
  * Ядро основано на исходных кодах Menuet OS и поддерживает частичную обратную
    совместимость на уровне приложений. Ядро очень сильно переработано и есть
    все претензии заявлять о данном проекте как о полностью самостоятельном,
    так как все изменения ядра произведены независимыми от официального
    дистрибутива программистами. Также разработка официального дистрибутива не
    ведется вот уже почти 1 год. Хотя автор Menuet OS негативно относится к
    изменению названия нашего давно самостоятельного проекта, однако лицензия
    GPL позволяет рассматривать данный проект как частично использующий коды
    исходной ОС, что не обязывает нас иметь такое же название.

    Произведены следующие изменения и доработки в ядре:

  От меня (Mario79) - Российская Федерация

    1) Переписан код функции 16. В результате устранена ошибка не позволявшая
       записывать образ на флопик при загрузке с жесткого диска. Также теперь
       поддерживается запись на оба дисковода. Функции записи отдельных дорожек
       исключены за ненадобностью. Размер кода функции уменьшен на 700 байт.
       (Смотреть функцию 16 в sysfuncs.txt и sysfuncr.txt)

    2) Исправление обработчика irq6 в sys32.inc, выявлено совместным мозговым
       штурмом с Иваном Поддубным и Андреем Халявиным на IRC канале. :-)

  От Халявина Андрея (halyavin) - Российская Федерация

    1) Изменение функций вывода шрифта, для использования битовых шрифтов.
       Результат экономия памяти в ОЗУ и на диске и ускорение скорости вывода
       шрифта.

    2) Исправлены найденные утечки памяти в менеджере памяти.

    3) Добавлено перераспределение прерываний IRQ к стандартной схеме при
       переходе в реальный режим при завершении работы.

    4) Удаление "мертвого" кода.

    5) Мелкие доработки кода не стоящие подробного упоминания.

  От Ивана Поддубного - Российская Федерация

    1) Значительные работы по оптимизации: исключений, переключению задач,
       обработки прерываний.

    2) Исправлена проблема стека - OS задача использует стек в 0x30000
       теперь используется sysint_stack_data+4096*2 - slot 1 стек;

    3) Исправлена ошибка с esp0 для процессов.

    4) Исправлен show_error_parameters в sys32.inc используется стек вместо TSS

    5) sheduler не делает активным процесс ожидающий события (func 10)
       (event.inc, sched.inc), ускорение проверки события (event.inc)

    6) Удаление "мертвого" кода в ядре.

  От Андрея (NoName) - Российская Федерация

    1) Исправлена проблема с включением non-lowercase

    2) Исправлена ошибка системной функции 68,2,0


    С приложениями произведены следующие доработки и исправления:

    SYSXTREE - поддержка запуска для расширения файла RTF (запускается
    приложением RTFREAD) и MID (запускается приложением MIDAMP).

    @RB - изменен для запуска ICON2 в режиме редактирования списка иконок.

    RDSAVE - приложение объединяющее в себе функции приложений RD2HD и RD2FD.
             Это позволило освободить немного места на диске.
             (Я сделал это приложение раньше, чем буржуйский товарищ выложил
             на буржуйском форуме свое аналогичное приложение, наверное у
             дураков мысли сходятся ;-)

  * Удалены: RD2HD и RD2FD - их функции объединены в приложение RDSAVE.
             ICONMNGR - его функции теперь выполняет ICON2.
             Все BMP файлы иконок в связи с изменением приложения ICON.

  * Добавлена небольшая коллекция MIDI файлов которые могут проигрываться в
    MIDAMP, находится в папке \other\mid в архиве выпуска. В образе дискеты
    присутствует суперхит "Кузькина мать!" ;-)
    (Спи спокойно Никита Сергеевич.)

  * Обновления и добавление приложений от русскоязычных программистов:

    ICON2 - Андрей Ивушкин (Willow), сильно измененный вариант приложения ICON.
            Теперь все иконки представлены в формате GIF в виде единого
            файла - существенная экономия памяти в образе и на дискете.
            После первого запуска приложение больше не обращается к RD,
            для подгрузки иконок, все находится в памяти, причем используется
            динамическое выделение памяти под иконки. Приложение по прежнему
            является многопоточным. Также произведено его слияние с кодом
            приложения ICONMNGR.

    @TASKBAR - Андрей Ивушкин (Willow), доработан для работы с новым ICON2.

    BOARD - Андрей Ивушкин (Willow), разделение потоков сообщений на
            пользовательские и ядерные, с возможностью переключения между
            экранами. Также реализована возможность получения дампа памяти
            приложения, естественно приложение должно само пересылать дамп
            по IPC.

    FREE3D04 - Андрей Ивушкин (Willow), вместо RAW текстур теперь используется
               GIF, это позволило сильно уменьшить размер приложения на диске.

    DOCPAK - Андрей Ивушкин (Willow), упакованная документация. После запуска
             и распаковки пересылает по IPC текст в Tinypad оснащенный приемным
             блоком.

    TINYPAD - Андрей Ивушкин (Willow), тинипад от mike.dld доработанный
              приемным блоком для работы с DOCPAK.

    TINYPAD2 - Андрей Ивушкин (Willow), тинипад от DoomEdArchangel доработанный
               приемным блоком для работы с DOCPAK.

    @RCHER - Андрей Ивушкин (Willow), версия 2 бета, с динамическим выделением
             памяти и поддержкой TINYIPC.

    MIDAMP - Андрей Ивушкин (Willow), проигрыватель MIDI файлов, посредством
             спикера. Пока еще очень сырая программа.

    RSQUARE - RED SQUARE, Андрей Ивушкин (Willow), игра по мотивам игры жизнь.

    CLICK -  Игра "ClickoMania", автор Olaf.

    TETRIS - Халявин Андрей (halyavin), версия 1.6, улучшенный генератор
             случайных чисел.

*******************************************************************************
 Колибри OS версия 0.5.1.0 Октябрь  2005
*******************************************************************************
  * Ядро основано на исходных кодах Menuet OS и поддерживает частичную обратную
    совместимость на уровне приложений. Ядро очень сильно переработано и есть
    все претензии заявить о данном проекте как о полностью самостоятельном,
    так как все изменения ядра произведены независимыми от официального
    дистрибутива программистами. Также разработка официального дистрибутива не
    ведется вот уже почти 1 год.

    Произведены следующие изменения и доработки в ядре:

    От меня (Mario79) - Российская Федерация

    1) Драйвер Floppy дисковода. Поддержка А и В дисководов.
       Семантика обращения, через 58-ю функцию
       /FD/1/ - дисковод A
       /FD/2/ - дисковод В

    2) Новая семантика обращения к жестким дискам, позволяет сразу обращаться
       к разделам разных винчестеров, без изменений параметров в SETUP.
       Семантика обращения, через 58-ю функцию
       /HD0/X/ - устройство IDE0 - Primary Master
       /HD1/X/ - устройство IDE1 - Primary Slave
       /HD2/X/ - устройство IDE2 - Secondary Master
       /HD3/X/ - устройство IDE3 - Secondary Slave
       x - номер раздела на выбранном винчестере может изменятся от 1 до 255,
           на каждом из винчестеров всегда нумерация начинается с 1-го.
       Для определения доступных дисковых устройств и разделов на них еще
       в Колибри4 введена функция 18/11.

    3) Правильный cброс клавиатуры в синем загрузочном окне и после перехода
       в защищенный режим. После внедрения кода глюк "мертвая" клавиатура на
       моем компьютере более не был замечен.

    4) Функция выравнивания положения курсора в середину экрана + 18/15

    5) Возможность получения пути откуда запущено приложение.
       Путь записывается в выделенную область в памяти приложения. Указатель
       на область памяти - последние 4 байта в заголовке MENUET01.

    6) Процедура переключения банков в Vesa 1.2 для видеокарты Trident 9440.
       Для изменения требуется перекомпиляция ядра.

    7) Мелкие доработки кода не стоящие подробного упоминания.

    От Халявина Андрея (halyavin) - Российская Федерация

    1) Новый менеджер памяти, поддерживает страничную адресацию. Его внедрение
       позволило намного оптимальней использовать оперативную память. Также
       позволило выявить и устранить несколько потенциальных уязвимостей ядра.
       Для работы с приложениями используется функция + 68
       (Смотреть функцию 68 в sysfuncs.txt и sysfuncr.txt)

    2) Функция возвращающая версию ядра  + 18/13
       (Смотреть функцию 18 в sysfuncs.txt и sysfuncr.txt)

    3) Исправление ошибки не позволявшей работать в режимах Vesa 1.2, а также
       режимов 0 и 9 (согласно маркировке в синем загрузочном окне)

    4) Мелкие доработки кода не стоящие подробного упоминания.

    От Лисовина Михаила (Mihasik) - Российская Федерация

    1) Оптимизация драйвера РАМ диска, направленная на ускорение скорости кода
       и уменьшение размера кода.

    2) Функция установки даты, времени, будильника  + 22
       (Смотреть функцию 18 в sysfuncs.txt и sysfuncr.txt)

    От Андрей Игнатьев (andrew_programmer) - Российская Федерация

    1) Функция контроля обратного хода луча монитора для плавного вывода
       графики в играх  + 18/14
       (Смотреть функцию 18 в sysfuncs.txt и sysfuncr.txt)

    От NoName - Российская Федерация

    1) Функции тестирования скорости кода + 68
       (Смотреть функцию 68 в sysfuncs.txt и sysfuncr.txt)

    От Ивана Поддубного - Российская Федерация

    1) Исправление процедуры запуска с RD, для работы с 64-х разрядными CPU.
       Доработка произведена совместно с  Халявиным Андреем.

    2) Удаление "мертвого" кода в ядре.


    С приложениями произведены следующие доработки и исправления:

    SYSXTREE - поддержка запуска для расширения файла PNG и ZIP (запускается
         приложение @ARCHER). Поддержка новой семантики обращения к жестким
         дискам и обращения к floppy дискам.

    SETUP - таблица символов выводимых с нажатым ALT приравнена к основной
            таблице символов английской раскладки.

    @TASKBAR - поддержка "горячих" комбинаций клавиш:
          ALT+F4 - завершение активного приложения.

    AC97WAV - доработан для работы с текущим ядром. (Халявин Андрей)

    MENU - исправлены ошибки распределения памяти внутри приложения.

    GIF - исправлена ошибка - выбор слишком большого размера файла для
          просматриваемого изображения. (Халявин Андрей)

    FASM 1.64 - портировал Михаил Семеняко (mike.dld).

    ICON - доработал Михаил Семеняко (mike.dld), правильная работа с фоном и
           более надежное размещение иконок по позициям.

    СPU - доработал Халявин Андрей, уменьшен эффект "моргания". Также совместно
          с  Михаилом Семеняко была произведена доработка для стабильной работы
          на компьютерах с процессорами быстрее 2 ГГц.

  * Удалены: INFO и DEVELOP - для экономии места на диске.
             MEMUSE - не работает после внедрения нового менеджера памяти.

  * Обновления и добавление приложений от русскоязычных программистов:

    CPUID 1.00 - Сергей Кузьмин (Wildwest). Определение модели и
             характеристик процессора.

    TETRIS 1.5 - Сергей Кузьмин (Wildwest). Добавлен режим паузы. Исправлен
                 баг в проверке заполнения линий.

    RCCS, RCCC - Hex, программа, предназначенная для управления удалённым
                 компьютером, серверная и клиентская часть.

    H2D2B - ealex. Программа hex2dec2bin для быстрого просмотра представления
            числа в 3-х кодировках.

    @ARCHER - Ивушкин Андрей (Willow) распаковщик ZIP файлов, также
              позволяет просматривать PNG файлы. Для распаковки требуется
              обязательное наличие жесткого диска с разделом Fat16/32.

    TANKS - Андрей Игнатьев (andrew_programmer). Игра "Танки", полностью
            написана средствами нашей OS.

    RTFREADER - Ивушкин Андрей (Willow), значительная модернизация программы.
                Также теперь доступен исходный код.

    Доработанные BGI шрифты - Ивушкин Андрей (Willow), для корректного
                              отображения русских символов.

  * Добавление приложений от буржуйских программистов:

    PCIDEV - Victor Alberto Gil Hanla (vhanla),доработанная версия.
         Теперь в списке обнаруженных устройств выводятся не номера фирм
         изготовителей, а их полные названия. Расширен список фирм.
         Была доработана Сергеем Кузьминым (Wildwest) для полной расшифровки
         обнаруженных устройств.

*******************************************************************************
 Колибри  версия 0.4.0.0  Июнь  2005  (MENUETOS  RE)
*******************************************************************************
  * Ядро обратно совместимо с 0.79 pre 1 + [прежние изменения не вошедшие
    в официальное ядро, сборка Ивана Поддубного] + [изменения произведённые
    в Колибри3 и Колибри3.2].

    Произведены следующие изменения и доработки в ядре:

    1) Загрузка и сохранение рамдиска из папки HD/1/KOLIBRI/ + из корня
       диска + [только для сохранения путь указан в файле RD2HD.TXT].
       Доработано приложение RD2HD.
       (Смотреть функцию 18 в sysfuncs.txt и sysfuncr.txt)

    2) Обнаружение COM мышей при загрузке + улучшенный драйвер COM мышей
       (скорость почти сравнялась с PS2 мышью) + установка курсора в
    середину экрана.

    3) Полное сворачивание окон (иногда, очень редко, при восстановлении окно
       смещается вниз экрана). Окна со "скином" не нуждаются в дополнительной
       доработке.
       (Смотреть функцию 18 в sysfuncs.txt и sysfuncr.txt)

    4) Отключение звука спикера для всех приложений в системе, управление через
       @TASKBAR.
       (Смотреть функцию 18 в sysfuncs.txt и sysfuncr.txt)

    5) Полное устранение глюка "след убитого приложения" - устранил Халявин
       Андрей.

    6) Выключение и перезагрузка системы + рестарт ядра из программы.
       Доработано приложение END.
       (Смотреть функцию 18 в sysfuncs.txt и sysfuncr.txt)

    7) Уменьшение глюка работы с клавиатурой в синем загрузочном меню + новый
       алгоритм сброса контроллера клавиатуры позволивший уменьшить появление
       глюка с неработающей клавиатурой.

    8) Выбор автоматического запуска драйвера VRR (повышенная частота
       горизонтальной развёртки монитора) в синем загрузочном меню.

    9) Обнаружение при загрузке доступных HD (+разделов на них), CD и FD.
       Таблица обнаруженных устройств выводиться приложениям через функцию 18.
       (Смотреть функцию 18 в sysfuncs.txt и sysfuncr.txt)

    10) При выборе загрузки образа из HD производится поиск MENUET.IMG по всем
    найденным HD и разделам и загружается первый найденный.
    Приоритет: 1 - папка kolibri, 2 - корневой раздел диска.
    Доработано приложение SETUP.

    11) Исправлен баг проявляющийся при запуске первого приложения - LAUNCHER'a,
    вынуждающий ставить паузу в самом начале приложения. Устранил Халявин
    Андрей.
    Доработано приложение LAUNCHER.

    12) Доработка драйвера клавиатуры - функция 2 больше не выводит комбинации
    клавиш с нажатым Alt, все нажатые символы дублируются в функции 18/12.
    Доработано приложение @TASKBAR.
       (Смотреть функцию 18 в sysfuncs.txt и sysfuncr.txt)

    С приложениями произведены следующие доработки и исправления:

    ICON - использование принципа "мьютекса", при запуске потоков, позволило
      ускорить запуск всех потоков. Доработал Халявин Андрей.
      Обводка и тень в надписях ICON, писк при запуске приложений.
      Доработал Mario79.

    @TASKBAR - поддержка новых горячих комбинаций клавиш: Alt+Win - запуск
         приложения MENU, Alt+Ctrl+F12 - запуск приложения END.

    SETUP - монтирование базы и раздела HD, базы CD - согласно таблице устройств
        в функции 18/11.

    END - выбор вариантов завершения работы: выключение, перезапуск,
      рестарт ядра или отмена. Поддержка горячих клавиш для кнопок,
      подсказка клавиш написана на самих кнопках.

    RD2HD - сохранение образа MENUET.IMG по выбору: в папку KOLIBRI, в корень
        диска или путь указанный, в файле RD2HD.TXT. Последнее используется
        только для резервного сохранения, так как ядро при загрузке не знает
        этот путь из-за особенностей своей работы.

    SYSXTREE81 - поддержка запуска для расширения файла WAV (запускается AC97
         плеер с выбранным файлом). Также доработана процедура
         window_draw для совместимости с режимом полного сворачивания
         окон.

    AC97WAV - преобразование разных WAV в 48КГц (присутствует потрескивание),
          так как многие AC97 звуковые карты устанавливают частоту
          квантования способом, отличающимся от стандартного и неизвестным
          для нас. Также введена поддержка запуска с параметром, для
          совместной работы с приложением SYSXTREE.

    FASM 1.61.9 - оболочка от 1.59.4, портированного VT, так как новая оболочка
          не ищет MACROS.INC на RD, а иногда не видит даже файл
          исходника. Также я увеличил путь, указывающий директорию с 37
          символов, до 64 символов.

  * Изменены:

    INFO - соответственно дистрибутиву.

    DEVELOP -соответственно реальному расположению приложений.

  * Обновления и добавление приложений от русскоязычных программистов:

    MGB - Лисовин Михаил aka Mihasik, тест производительности графической
      подсистемы, при тестировании не нажимать клавиши клавиатуры и не
      двигать мышь.

    TINYPAD - mike.dld, отличается от TINYPAD'a сделанного DoomEdArchangel'ом -
          наличием поддержки строк более 80 символов, наличием
          горизонтальной прокрутки, которая совместно с вертикальной
          подстраивается под размер приложения. К сожалению новый горячие
          комбинации клавиш и некоторые полезные фичи введенные
          DoomEdArchangel'ом не реализованы в этом TINYPAD'е, но в целом
          он очень хороший.
          Также в нем реализован алгоритм сжатия символа "пробел" для
          уменьшения размера файла при сохранении, хорошая вещь для
          обычных текстовых файлов, но абсолютно неприемлемая, когда есть
          необходимость в сохранении структуры файла данных. Так что я не
          рекомендую вам редактировать DAT файлы этим текстовым редактором.
          В этом случае нужно применять TINYPAD2.
          Для совместимости с использованием горячих комбинаций клавиш
          (в приложении @TASKBAR) был доработан алгоритм ввода символов,
          для игнорирования возврата  символов с нулевым значением,
          когда применяется клавиша Alt.

    TINYPAD2 - DoomEdArcahgel, отличия от предыдущей версии: поиск спрятан в
           меню, вызов Ctrl+F7, поиск далее Ctrl+F8, также более длинная
           строка открытия файлов.
           К сожалению, этому текстовому редактору тоже присущи определенные
           недостатки: при переключении на другое приложение иногда
           пропадает изображение текста, не поддерживаются строки длинной
           более 80 символов, соответственно нет горизонтальной прокрутки,
           вертикальная прокрутка не подстраивается под размер приложения.
           Но в целом также хороший текстовый редактор.

    CPUID094 - Сергей Кузьмин (Wildwest). Определение модели и
             характеристик процессора. Отличия одной программы
             от другой в разном расчёте рейтинга для
             AthlonXP c учётом FSB.

    NETSENDS, NETSENDC - Hex, программа для обмена сообщениями в сети,
             серверная и клиентская часть.

    TESTFTP1 - Hex, тестовая версия менеджера закачек.

    PCIDEV - доработанная версия, улучшил Сергей Кузьмин (Wildwest),
         теперь в списке обнаруженных устройств выводятся не номера фирм
         изготовителей, а их названия.

    MD5 - Hex и Halyavin. Пример реализации генератора MD5 - хеша.

  * Добавление приложений от буржуйских программистов:

    JMAIL - почтовый клиент.

*******************************************************************************
 Колибри N3 (выпуск2)  версия 0.3.1.0  Март  2005  (MENUETOS  RE)
*******************************************************************************
   * Ядро обратно совместимо с 0.78 pre 6 + (прежние изменения не вошедшие
    в официальное ядро, сборка Ивана Поддубного).

    Дополнительно к этому произведены следующие изменения и доработки:

    1) Расширена системная функция 66 (ebx=3), доработкой от mike.dld
       (смотрите файлы SYSFUNCR.TXT и SYSFUNCS.TXT)

    2) Расширена системная функция 18 (ebx=7). Доработка моя.
       (смотрите файлы SYSFUNCR.TXT и SYSFUNCS.TXT)

    3) Доделана системная функция 26, теперь она соответствует функции 21.
       Доработка моя. (смотрите файлы SYSFUNCR.TXT и SYSFUNCS.TXT)

    4) Уменьшена вероятность появления бага отрисовки экрана, который иногда
       появлялся при убивании приложения имеющего окно. Доработка моя.

    Хоть это не относится к доработке ядра, но всё таки:

    5) Скорректированы задержки при запуске системы в файле AUTORUN.DAT,
       для правильного запуска на "слабых" компьютерах.
       Проверял на Cyrix233MX и AMD K5-133(100).
       Если у вас более быстрый процессор 600 МГц и
       более можете уменьшить задержки или взять этот файл из первого выпуска
       Колибри N3 (но только из него!).


  Я (Mario79 или Марат, уж кого как устроит...) сделал следующие работы:

  * Внесены "серьёзные" изменения в следующие приложения:

    ICON - многопоточность, динамическая подгрузка картинок, вывод изображения
           из буфера, а не поточечно. Теперь размер файла всего 8000h при этом
           в нём, теоретически, умещается 48 иконок. Я проверил только 21.
           Старая программа для 48 иконок занимала 5000h*48=960 Кб.

    CPU - новый "дизайн" - "контраст" и удобное расположение кнопок удаления
          процессов делают "убивание" приложений максимально удобным, теперь
          сложно промахнуться! Также исправлен баг по которому в "старом" CPU
          процессы отображались только на первой странице, то есть если нажать
          на "NEXT PAGE", то процессы не отображаются даже, если их количество
          превысило лимит первой страницы. Некоторое неприятное "моргание"
          окна приложения обусловлено тем, что только так можно получать
          достоверные результаты в "реальном" времени. Любое изменение
          алгоритма приводило к ошибкам вывода. Также строка запуска увеличена
          до 60-и символов (старый 30) и исправлен баг, по которому вместо
          знака "~" вводилось "^".

    @TASKBAR - новый "дизайн" - закос по ХРюшку, озвучка по спикеру с
             отключением, переключение раскладки клавиатуры - щелчок мышью по
             надписи (синий кубик En) или Ctrl+Shift (обе любые, но не нужно
             нажимать сразу 3 кнопки и более, так как это не корректно
             обрабатывается, даже в Windows, и получится не то, что нужно),
             переключение языка системы - щелчок мышью по надписи (зелёный
             кубик Ru) или Shift+Shift.
             В выпуске 2 доработано: автовозврат фокуса приложению, после
             переключения раскладки клавиатуры по Ctrl+Shift, вызов CALENDAR
             щелчком по часам, вызов SETUP отдельной кнопкой 'S'.

    ICONMNGR - доработан для нового ICON, методы применения остались те же,
               разве, что теперь в автозагрузке прописан сам ICON.

    SETUP - доработан для переключения раскладок вызовом из @TASKBAR, идея
            принадлежит русской команде, я её только продолжил.
            В выпуске 2 доработано: запрос значений при запуске функцией 26,
            восстановлена возможность выбора доступа к LBA и PCI.

    MENU - исправлен баг с пересеканием стека потоков и основного стека.
           Уменьшен размер 2-х буферов 58 функции, каждый из которых кушал
           по 64 Кб, теперь использовано стандартно необходимое
           количество 16 Кб.(видимо всех ввело в заблуждение число указанное
           в поле буфера в файле SYSFUNCS.TXT, а ведь это всего лишь ссылка
           на адрес буфера)
           Также, как и для многих программ, уменьшен размер образа в памяти
           с 1 Мб до 64 Кб.
           В выпуске 2 доработано: убрано ограничение на количество нажатий
           на списки при одном запуске, так как я ввел кольцевое использование
           стека потоков, исправлен баг с порчей отрисовки некоторых пунктов
           списка, из-за неправильной организации стека потоков.

    GIFVIEW - введен старт с параметром для просмотра GIF картинок запуском
              через SYSXTREE.

  * Исправлены баги:

    END - теперь полностью выводится по центру экрана при любом
          разрешении экрана.

    GRSCREEN - убрана лишняя задержка при выводе картинки и уменьшен размер
               буфера для 58 функции с 64 Кб, до стандартно
               необходимых 16 Кб.(аналогично MENU, читайте выше)


  * Изменены:

    INFO - соответственно дистрибутиву.

    DEVELOP -соответственно реальному расположению приложений.


  * Оптимизированы в плане размера образа в ОЗУ (кроме уже перечисленных):

    PONG,MBLOCKS,FIRE,CROWNSCR,CIRCLE,TRANSP,TINYFRAC,COLORS,KEYASCII,
    EYES,TUBE,LIFE,3DCUBE,TRANTEST,CDPLAY,CDP,MIXER,MIDIPLAY,HEXVIEW,
    SCANCODE,CALC,EXAMPLE(2,3),THREADS,FS,CSLIDE,HEXHD,SYSMETER,CPUSPEED,
    MEMUSE,SYSTRACE,PCIDEV,RDFDEL,RD2HD,IR,MAGNIFY,CALENDAR,LAUNCHER.
    В размере остальных приложений я не был уверен, по этому их не изменял.
    Благодаря отсутствию документации большинство програмистов меоси не
    задумывалось над этим вопросом, а он весьма важен. Лишь благодаря
    хорошему человеку Trans'у всё встало на свои места! Trans спасибо тебе
    от меня и от тех, кто присоединится к этому спасибо в дальнейшем.


  * Сжаты упаковщиком MXP:

    AC97WAV,FREE3D04,SDLFIRE,3DCUBE,@TASKBAR,BMPVIEW,C4,CALC,CDP,CMD,COLORREF,
    CROWNSCR,EXAMPLE2,FS,HDREAD,HEED,HTTPS,ICONEDIT,ICONMNGR,INFO,LC,MBLOCKS,
    MFAR,MHC,MP3S,NNTPC,PCIDEV,PIC4,PONG3,POPC,SB,SMTPS,STACKCFG,SYSTREE,TETRIS,
    VRR,XPAINT28,YM, PHENIX, 3DTCUB10, 3DETX59B, CPUID903, CPUID904,FREECELL.
    Остальные программы либо не сжимаются, либо их сжатый размер превышает
    исходный (так как в код добавляется распаковщик), либо сжатие программы
    приводило к её полной или частичной не работоспособности.
    Например, новый TINYPAD использует SYSXTREE, и наоборот. Такие программы
    сжимать нельзя. В принципе нельзя сжимать программы, при запуске которых,
    им передаются параметры. Например MV, JPEGVIEW, TYNIPAD и др.


  * Обновления и добавление приложений от русскоязычных программистов:

    TINYPAD - DoomEdArchangel (бывший Fagotus). Введены 2 меню: файл и код.
              Работа с файлами через диалоги из ASCL Павлюшина Евгения.
              Исправлен баг - в заголовке всегда выводится реальное имя
              файла. Диалоговые окна при ошибках и выходе. Очень удобная
              полоса прокрутки. Перемещение курсора на нужное место в тексте
              щелчком мыши. Горячие клавиши на компиляцию текста и компиляцию
              текста с запуском.
              Ещё куча полезностей и новых мелких багов. ;-)

    SCREEN SHOOTER - DoomEdArchangel. Расширяет возможности VIRTUAL SCREEN 2,
                     в плане созданий снимков экрана. Позволяет записывать на
                     HD (кнопка Print Screen) или на RD (Alt+Print Screen).
                     Разумеется запись на RD производится только при наличии
                     свободного места. Выход из программы - Scroll Lock.

    SYSXTREE81 - Павлюшин Евгений. Много исправлений мелких багов.
                 В выпуск 2 мной (Mario79) добавлена связка JPE файлов с
                 JPEGVIEW, так как по сути это те же файлы JPG, а также
                 добавлена связка GIF файлов с GIFVIEW.

    XPAINT29 - Павлюшин Евгений. Чё то изменилось, автор подробно не расписал.

    PHENIX - Павлюшин Евгений. Игрушка - летим, стреляем, китайские
             приставки вспоминаем. :-)

    3DTCUB10 - Павлюшин Евгений. Текстурированный кубик, в принципе ранний
               вариант развиваемого сейчас полноценного 3D движка для игр.

    3DETX59B - Павлюшин Евгений. 3D-Движок. Будущая основа для полноценных
               трехмерных игр под MeOS.

    CALENDAR - Ивушкин Андрей (Willow). Что описывать? Календарь!
               И так вроде понятно. :-)

    BGI FONT DEMO - Ивушкин Андрей (Willow). Демонстрация реализации первых
                    векторных шрифтов под MeOS. Хорошее начало!

    RTF READER - Ивушкин Андрей (Willow). Просмотр текста формата RTF.

    CPUID923, CPUID924 - Сергей Кузьмин (Wildwest). Определение модели и
                         характеристик процессора. Отличия одной программы
                         от другой в разном расчёте рейтинга для
                         AthlonXP c учётом FSB.

    HUNTER - Trans. Аркадная игра "Охотник".


  * Новые приложения от буржуйских программистов:

    PCI DEVICE ENUMERATION - Jason Delozier. Просмотр шины PCI и вывод на
                             экран списка найденных устройств.

    COLOR SLIDER - Jason Delozier. Пример реализации контрола для выбора цвета.

    FREECELL - Alexandr Gorbovets. Карточная игра, я правила не знаю. :-)

    ARCANII - Jacek Jerzy Malinowski. Новый взгляд на реализацию Арканоида.

*******************************************************************************
 Колибри N2 (выпуск2)  версия 0.2.1.0  Август 2004  (MENUETOS  RE)
*******************************************************************************
  От Mario79:
  * Ядро обратно совместимо с 0.78pre2;
  * Поддержка всех разделов FAT16 на жестком диске;
  * Systree "знает" не только расширение JPG, но и JPE;
  * Поддержка всех разделов FAT32 на жестком диске;
  * Правильная запись изменения свободного места в разделе FAT32;
  * В меню вписаны все приложения имеющиеся в образе.

  От Ивана Поддубного:
  * SDLFIRE - красивая демка;
  * Новый LAUNCHER, список программ в AUTORUN.DAT;
  * Высокая скорость автоповтора клавиатуры;
  * LIFE от Mike Hibbett (переделана);
  * Поддержка скина в формате BMP (LEFT.BMP + BASE.BMP + OPER.BMP);
  * Новое меню от Михаила Лисовина (доработано);
  * COPY2 теперь требут ровно столько памяти, сколько необходимо;
  * PAINT v0.3:
      - сохранение рисунка при перерисовке окна;
      - изменяемая толщина пера;
      - доработка интерфейса;
  * Исправления багов/улучшения в следующих программах:
      ICON, TIMER, TEMPLATE, BOARD, SCANCODE, RDFDEL, RTDATA, RD2FD,
      COPY2, GRSCREEN;
  * Частично либо полностью переведены следующие программы:
      BOARD, TIMER, RD2FD, RTDATA, SCANCODE, THREAD.

  От остальных челов:
  * Консоль CMD 0.27 от Chemist;
  * Файловый менеджер MFAR pre-alpha 8.1 от mike.dld;
  * Sysxtree, Arcanoid, Pong3, 3dcube2 и Trantest от Павлюшина Евгения;
  * Посекторный просмотрщик винтов HDREAD от Trans;
  * Yahoo Mesenger от Ice;
  * CDPlayer (cdp1_1b2) от Юшко Дмитрий;
  * Демки от Jarek Pelczar;
  * JPEGVIEW - Octavio, Mike Hibbett, Fagotus и Иван Поддубный;
  * FASM 1.54 от Ville Turjamaa.

*******************************************************************************
 Колибри N1 версия 0.1.0.0  Май 2004  (MENUETOS  RE)
*******************************************************************************
  От Mario79:
  * Ядро обратно совместимо с 0.77 pre 2.8;
  * Автоматическое определение объема оперативной памяти;
  * Исправлена записывающая часть драйвера FAT32;
  * Поддержка всех разделов Fat32 имеющихся на винте;
  * Правильная запись изменения свободного места в разделе Fat32;
  * В меню вписаны все приложения имеющиеся на флопе;

  От остальных челов:
  * Консоль CMD 0.26 от Chemist;
  * Файловый менеджер MFAR pre-alpha 7.6 от mike.dld;
  * Посекторный просмотрщик винтов HDREAD от Trans;
  * Yahoo Mesenger от Ice;
  * CDPlayer (cdp1_1b2) от Юшко Дмитрий;

  От Ивана Поддубного:
  * Поддержка скина в формате BMP (LEFT.BMP + BASE.BMP + OPER.BMP)
  * Новое меню от Михаила Лисовина (доработано);
  * Демки от Jarek Pelczar;
  * JPEGVIEW - Octavio и Mike Hibbett;
  * CROWNSCR 1.11m;
  * COPY2 теперь требут ровно столько памяти, сколько необходимо;
  * В TINYPAD'е исправлено еще пара ошибок, переписано с нуля сохранение файла;
  * Исправления багов/улучшения в следующих программах:
      HEED, PAINT, MV, ICON, PANEL

*******************************************************************************
 Типа начало :-)
*******************************************************************************
